PKG-RQUERY(8)

NAME
pkg rquery - query information from remote repositories

SYNOPSIS
pkg rquery <query-format> <pkg-name>
pkg rquery [-a] [-r reponame] <query-format>
pkg rquery -e <evaluation-condition> [-r reponame] <query-format>
pkg rquery [-gxX] [-r reponame] <query-format> <pattern> <...>

DESCRIPTION
pkg rquery is used for displaying information about remote packages.

OPTIONS
The following options are supported by pkg rquery:

-a  Match all packages from the database

-e  Match packages using the given evaluation-condition. See EVALUATION FORMAT for details.

-r reponame
    Fetches packages from the given reponame if multiple repo support is enabled. See pkg.conf(5).

-g  Treat <pattern> as a glob pattern.

-x  Treat <pattern> as a regular expression.

-X  Treat <pattern> as an extended regular expression.

QUERY FORMAT
There are two type of keyword for the query format: the multiline and the normal one. Only one type of multiline pattern is accepted for a given query.

  Normal patterns:

%R  Name of the repository package is in

%n  Name of the matched package

%v  Version of the matched package

%o  Origin of the matched package

%p  Prefix of the matched package

%m  Maintainer of the matched package

%c  Comment of the matched package

%e  Description of the matched package

%w  Home page of the matched package

%l  license logic of the matched package - nothing for single, & for AND, and | for OR

%s[bh]
    The flat size of the matched package, where b is in bytes, and h is in human readable format.

%M  message contain in the matched package

%?[drCOLB]
    Returns 0 if the list is empty and 1 if the list has information to display

    d   for dependencies

    r   for reverse dependencies

    C   for categories

    O   for options

    L   for licenses

    B   for shared libraries

  Multiline patterns:

%d[nov]
    Expands to the list of dependencies for the matched package, where n stands for the package name, o for the package origin, and v for the package version.

%r[nov]
    Expands to the list of reverse dependencies for the matched package, where n stands for the package name, o for the package origin, and v for the package version.

%C  Expands to the list of categories the matched package belongs to.

%O[kv]
    Expands to the list of options of the matched package, where k stands for option key, and v for option value.

%L  Expands to the list of license(s) for the matched package.

%B  Expands to the list of shared libraries used by programs from the matched package.

EVALUATION FORMAT

  Variables

%n  Name of the package (type string)

%o  Origin of the package (type string)

%p  Prefix of the package (type string)

%m  Maintainer of the package (type string)

%c  Comment of the package (type string)

%e  Description of the package (type string)

%w  WWW address of the package (type string)

%s  Flatsize of the package (type integer)

%a  Automatic status of the package (type integer)

%M  Message of the package (type string)

%#[drCOLB]
    Number of elements in the list of information (type integer). See %? above for what information is used.

  Operators

~   String glob pattern matching

>[=]
    Integer comparison

>[=]
    Integer comparison

=[=]
    Integer or string comparison

ENVIRONMENT
The following environment variables affect the execution of pkg rquery. See pkg.conf(5) for further description.

PKG_DBDIR

EXIT STATUS
pkg rquery exits 0 on success, and >0 if an error occurs.

FILES
See pkg.conf(5).

SEE ALSO
pkg.conf(5), pkg(8), pkg-add(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)